<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="unioncyhal__dma__t_8descriptor__config" kind="union" language="C++" prot="public">
    <compoundname>cyhal_dma_t.descriptor_config</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="unioncyhal__dma__t_8descriptor__config_1a1f2121f36f817bd18540e5fa7de06f59" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_dma_descriptor_config_t</type>
        <definition />
        <argsstring />
        <name>dw</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="185" />
      </memberdef>
      <memberdef id="unioncyhal__dma__t_8descriptor__config_1ae555fc29296b95adb45c0092d8f35338" kind="variable" mutable="no" prot="public" static="no">
        <type>cy_stc_dmac_descriptor_config_t</type>
        <definition />
        <argsstring />
        <name>dmac</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="188" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="190" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" bodystart="182" column="1" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/COMPONENT_PSOC6HAL/include/cyhal_hw_types.h" line="183" />
    <listofallmembers>
      <member prot="public" refid="unioncyhal__dma__t_8descriptor__config_1ae555fc29296b95adb45c0092d8f35338" virt="non-virtual"><scope>cyhal_dma_t.descriptor_config</scope><name>dmac</name></member>
      <member prot="public" refid="unioncyhal__dma__t_8descriptor__config_1a1f2121f36f817bd18540e5fa7de06f59" virt="non-virtual"><scope>cyhal_dma_t.descriptor_config</scope><name>dw</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>